local M = {}



function M.add_playable_unit(posiciones_libres)

    -- UNIT

    local index = math.random(1, #posiciones_libres)

    local pos = posiciones_libres[index]

    local unit = create_unit(playerlist[0], FourCC('hfoo'), pos.x, pos.y, math.random(0, 360))

    table.remove(posiciones_libres, index)

    --unit.set_pathing(false)

    unit.select(true)

    SetCameraPosition(unit.get_x(), unit.get_y())


    PlayerUnitEvent(Player(0), EVENT_PLAYER_UNIT_ISSUED_POINT_ORDER, nil, function(e)

        --local order_id = GetIssuedOrderId()

        local order_x, order_y = GetOrderPointX(), GetOrderPointY()

        local unit_x, unit_y, unit_facing = e.unit.get_x(), e.unit.get_y(), e.unit.get_facing()

        local dif_x = math.abs(order_x - unit_x)
        local dif_y = math.abs(order_y - unit_y)

        if dif_x > 1000 or dif_y > 1000 then

            TimerEvent(0.05, false, function(ev)
                e.unit.issue_immediate_order('stop')
                e.unit.set_position(unit_x, unit_y)
                e.unit.set_facing(unit_facing)
                SetCameraPosition(unit_x, unit_y)
            end)

        end

    end)

    return unit

end



return M