function get_game_units()

    local world_rect = GetWorldBounds()
    
    local units = {}

    local group = CreateGroup()
    
    GroupEnumUnitsInRect(group, world_rect, nil) -- nil para no usar filtro

    local unit = FirstOfGroup(group)

    while unit do
        table.insert(units, mk_wrap_table(unit, 'Unit')) -- Agrega la unidad a la tabla
        GroupRemoveUnit(group, unit) -- Elimina la unidad del grupo
        unit = FirstOfGroup(group) -- Obtén la siguiente unidad
    end


    DestroyGroup(group)
    RemoveRect(world_rect)
    
    return units

end




TimerEvent(0, false, function(e)

    -- eliminar todas las unidades (start location)
    local units = get_game_units()
    for _, unit in pairs(units) do
        unit.remove()
    end


end)